Typescript (SDK)
import { Idalia } from "idalia";
const idalia = new Idalia({
apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
});
async function run() {
const result = await idalia.assetCategories.create();
console.log(result);
}
run();curl --request POST \
--url https://idalia.app/api/asset-categories \
--header 'Content-Type: application/json' \
--data '
[
{
"name": "<string>",
"description": "<string>"
}
]
'import requests
url = "https://idalia.app/api/asset-categories"
payload = [
{
"name": "<string>",
"description": "<string>"
}
]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([{name: '<string>', description: '<string>'}])
};
fetch('https://idalia.app/api/asset-categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"description": "<string>",
"parentId": "<string>"
}
]{
"error": "Invalid request parameters",
"code": "400"
}{
"error": "An unexpected error occurred",
"code": "500"
}Asset-categories
Create asset categories
Create asset categories
POST
/
asset-categories
Typescript (SDK)
import { Idalia } from "idalia";
const idalia = new Idalia({
apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
});
async function run() {
const result = await idalia.assetCategories.create();
console.log(result);
}
run();Body
application/json
Response
Returns newly created asset category objects
The asset category ID
Datetime when the category was created
Datetime when the category was last updated
ID of the workspace the category belongs to
The category name
Optional description
The parent asset category
⌘I

